### Method

# Xdp Session touch_position

#### Declaration [src]

    void
    xdp_session_touch_position (
      XdpSession* session,
      guint stream,
      guint slot,
      double x,
      double y
    )

#### Description [src]

Notify about a new touch motion event.

The `(x, y)` position represents where the touch point position in the streams logical coordinate space moved.

May only be called on a remote desktop session with `XDP_DEVICE_TOUCHSCREEN` access.

#### Parameters

`stream`

  Type: `guint`

  The node ID of the pipewire stream the position is relative to.

`slot`

  Type: `guint`

  Touch slot that is changing position.

`x`

  Type: `double`

  New X position.

`y`

  Type: `double`

  New Y position.